Subject: MouseFocusRequiresMotion Style

From: Lorenz Minder <[email-masked]>
Date: Mon, 17 Sep 2001 01:42:15 +0200

Hello.

Here's the patch for the styles MouseFocusRequiresMotion /
MouseFocusRequiresMotionOff I talked about long ago. This is against
fvwm-snap-20010916.

The code seems to work fine for me, but I'm not sure whether the pieces
of code have actually been put in the correct places. For instance,
there are several functions related to setting the focus,
SetFocusWindow(), MoveFocus(), DoSetFocus(), etc. and I'm not sure which
one should contain the functionality of memorizing the pointer position.

Furthermore I introduced new global variables, focus_x and focus_y to
memorize where the pointer was, when a window was last focussed. But
this is probably the most appropriate way of doing that, is it?

Greetings,
--Lorenz